GEOS: geos::noding::IntersectionFinderAdder Class Reference

GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::noding::IntersectionFinderAdder Class Reference

Finds proper and interior intersections in a set of SegmentStrings, and adds them as nodes. More...

`#include <IntersectionFinderAdder.h>`

Inheritance diagram for geos::noding::IntersectionFinderAdder:

## Public Member Functions
| IntersectionFinderAdder (algorithm::LineIntersector &newLi, std::vector< geom::Coordinate > &v)
void | processIntersections (SegmentString *e0, int segIndex0, SegmentString *e1, int segIndex1)
std::vector< geom::Coordinate > & | getInteriorIntersections ()
virtual bool | isDone () const

## Detailed Description

Finds proper and interior intersections in a set of SegmentStrings, and adds them as nodes.

## Constructor & Destructor Documentation

geos::noding::IntersectionFinderAdder::IntersectionFinderAdder | ( | algorithm::LineIntersector & | newLi,
|  | std::vector< geom::Coordinate > & | v
| ) |  |
| inline

Creates an intersection finder which finds all proper intersections and stores them in the provided Coordinate array

Parameters

  li | the LineIntersector to use
  v | the Vector to push interior intersections to

## Member Function Documentation

virtual bool geos::noding::IntersectionFinderAdder::isDone | ( |  | ) | const
| inlinevirtual

Always process all intersections

Returns
  false always

Reimplemented from geos::noding::SegmentIntersector.

void geos::noding::IntersectionFinderAdder::processIntersections | ( | SegmentString * | e0,
|  | int | segIndex0,
|  | SegmentString * | e1,
|  | int | segIndex1
| ) |  |
| virtual

This method is called by clients of the SegmentIntersector class to process intersections for two segments of the SegmentStrings being intersected. Note that some clients (such as MonotoneChains) may optimize away this call for segment pairs which they have determined do not intersect (e.g. by an disjoint envelope test).

Implements geos::noding::SegmentIntersector.

The documentation for this class was generated from the following file:

- IntersectionFinderAdder.h